For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Global Payroll
    • Introduction
    • Time Tracking
    • Adjustments
  • Common Use Cases
    • Reimburse expenses
  • Endpoints
      • POSTCreate raw time tracking shifts
      • POSTCreate shifts
      • DELDelete a Shift by External ID
      • GETGet shift details
      • GETList of shifts
      • PATCHUpdate a shift
LogoLogo
SupportDeel Home
EndpointsTime Tracking Shifts

Create shifts

POST
/time_tracking/shifts
POST
/rest/v2/time_tracking/shifts
$curl -X POST https://api.letsdeel.com/rest/v2/time_tracking/shifts \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": {
> "shifts": [
> {
> "summary": {
> "time_unit": "HOUR",
> "time_amount": 2,
> "shift_rate_external_id": "abcd"
> },
> "description": "sample description",
> "external_id": "shift_123456",
> "date_of_work": "2023-10-01"
> }
> ],
> "contract_id": "3j5z2e6"
> }
>}'
1{
2 "data": [
3 {
4 "summary": {
5 "shift_rate_external_id": "abcd",
6 "time_unit": "HOUR",
7 "time_amount": 8,
8 "total_break_hours": 2,
9 "payable_break_hours": 2,
10 "total_payable_hours": 2,
11 "shift_duration_hours": 2
12 },
13 "shift_type": "REGULAR",
14 "contract_id": "3j5z2e6",
15 "description": "This is a sample shift description.",
16 "external_id": "shift_123456r",
17 "date_of_work": "2023-10-01",
18 "created_at": "2024-10-08T12:08:29.695Z",
19 "updated_at": "2024-10-08T12:08:29.695Z",
20 "payroll_cycle_ref": {
21 "date": "2023-10-31T00:00:00.000Z"
22 },
23 "shift_reference_id": "shift-ref-123"
24 }
25 ]
26}

Creates one or more time tracking shifts for a contract in a single request. Supports both original shift submissions and correction shifts that adjust hours for previously processed shifts. Token scopes: time-tracking:write

Was this page helpful?
Previous

Delete a Shift by External ID

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Request

Request body to create time tracking shifts supporting regular shifts and correction shifts.
dataobjectRequired
Request data containing contract ID and shifts to be created.

Response

Successful operation.
datalist of objects
List of created shift records.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication